Bug 971731 - [abrt] mate-file-manager-1.5.5-1.fc18: eel_ref_str_ref: Process /usr/bin/caja was killed by signal 11 (SIGSEGV)
[abrt] mate-file-manager-1.5.5-1.fc18: eel_ref_str_ref: Process /usr/bin/caja...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mate-file-manager (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
abrt_hash:f2a6f4428ae48d94b083c4a099b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 04:05 EDT by msrocks
Modified: 2013-07-29 19:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-29 19:27:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.72 KB, text/plain)
2013-06-07 04:05 EDT, msrocks
no flags Details
File: cgroup (129 bytes, text/plain)
2013-06-07 04:05 EDT, msrocks
no flags Details
File: core_backtrace (1.78 KB, text/plain)
2013-06-07 04:05 EDT, msrocks
no flags Details
File: dso_list (10.13 KB, text/plain)
2013-06-07 04:05 EDT, msrocks
no flags Details
File: environ (1.53 KB, text/plain)
2013-06-07 04:05 EDT, msrocks
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-07 04:06 EDT, msrocks
no flags Details
File: maps (54.05 KB, text/plain)
2013-06-07 04:06 EDT, msrocks
no flags Details
File: open_fds (4.47 KB, text/plain)
2013-06-07 04:06 EDT, msrocks
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2013-06-07 04:06 EDT, msrocks
no flags Details
File: var_log_messages (1.00 KB, text/plain)
2013-06-07 04:06 EDT, msrocks
no flags Details

  None (edit)
Description msrocks 2013-06-07 04:05:40 EDT
Description of problem:
I was trying to access my NAS Drive when the problem occured.  Usually this problem doesn't occur when I specify the ip address manually. 

Version-Release number of selected component:
mate-file-manager-1.5.5-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        caja
crash_function: eel_ref_str_ref
executable:     /usr/bin/caja
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 eel_ref_str_ref at eel-string.c:965
 #1 update_info_internal at caja-file.c:2494
 #2 update_info_and_name at caja-file.c:2526
 #3 caja_file_new_from_info at caja-file.c:644
 #4 dequeue_pending_idle_callback at caja-directory-async.c:1034
 #5 directory_load_done at caja-directory-async.c:1226
 #6 more_files_callback at caja-directory-async.c:2330
 #7 next_async_callback_wrapper at gfileenumerator.c:298
 #8 g_simple_async_result_complete at gsimpleasyncresult.c:775
 #9 complete_in_idle_cb at gsimpleasyncresult.c:787
Comment 1 msrocks 2013-06-07 04:05:44 EDT
Created attachment 758026 [details]
File: backtrace
Comment 2 msrocks 2013-06-07 04:05:48 EDT
Created attachment 758027 [details]
File: cgroup
Comment 3 msrocks 2013-06-07 04:05:51 EDT
Created attachment 758028 [details]
File: core_backtrace
Comment 4 msrocks 2013-06-07 04:05:57 EDT
Created attachment 758029 [details]
File: dso_list
Comment 5 msrocks 2013-06-07 04:05:59 EDT
Created attachment 758030 [details]
File: environ
Comment 6 msrocks 2013-06-07 04:06:02 EDT
Created attachment 758031 [details]
File: limits
Comment 7 msrocks 2013-06-07 04:06:05 EDT
Created attachment 758032 [details]
File: maps
Comment 8 msrocks 2013-06-07 04:06:08 EDT
Created attachment 758033 [details]
File: open_fds
Comment 9 msrocks 2013-06-07 04:06:11 EDT
Created attachment 758034 [details]
File: proc_pid_status
Comment 10 msrocks 2013-06-07 04:06:14 EDT
Created attachment 758035 [details]
File: var_log_messages
Comment 11 Wolfgang Ulbrich 2013-07-26 07:00:00 EDT
Did this happens with mate-file-manager-1.6.2-1.fc18 from updates-testing too?
Comment 12 msrocks 2013-07-28 09:14:52 EDT
(In reply to Wolfgang Ulbrich from comment #11)
> Did this happens with mate-file-manager-1.6.2-1.fc18 from updates-testing
> too?

I haven't tried accessing my NAS with Fedora ever since so I can't tell. But I can confirm that I never had such an issue with other distros "Ubuntu, Linux Mint, Linux Mint Debian". One thing is for cetain, caja keeps crashing from time to time.
Comment 13 Wolfgang Ulbrich 2013-07-28 12:15:11 EDT
I would be very helpfull if you test this again, because there is a huge development step from 1.5.5 to 1.6.2, and 1.5.2 was an development version.
Sorry, i don't have a NAS drive for testing.
Also testing this with a other file-browser is helpfull too, maybe it isn't a file-browser issue, because you said it happens only in fedora.
Comment 14 msrocks 2013-07-29 13:22:37 EDT
(In reply to Wolfgang Ulbrich from comment #13)
> I would be very helpfull if you test this again, because there is a huge
> development step from 1.5.5 to 1.6.2, and 1.5.2 was an development version.
> Sorry, i don't have a NAS drive for testing.
> Also testing this with a other file-browser is helpfull too, maybe it isn't
> a file-browser issue, because you said it happens only in fedora.

I just did the test again upon your request and caja crashed.  Let me clarify one thing first, I use different versions of Mate: 1.4 and 1.6.  I didn't like 1.6 at all and stuck with 1.4 on my other distros. I use 5 distros on my desktop and Mate 1.6 is installed on 2 of them: Fedora 18 and Ubuntu 12.04.  caja crashes in both versions of Mate from time to time but the bug reporting tool in Fedora seems to be more active.  Usually I dismiss the crash notifications.  Besides I doubt it's related to accessing the NAS drive since I succeed in mounting it in Fedora when I enter the IP address manually.
Comment 15 Dan Mashal 2013-07-29 14:25:27 EDT
MATE 1.4 does not exist for Fedora. If you are running MATE 1.4 you are on your own.
Comment 16 Wolfgang Ulbrich 2013-07-29 14:31:17 EDT
I did informed upstream about this issue.
https://github.com/mate-desktop/mate-file-manager/issues/144
Comment 17 msrocks 2013-07-29 18:36:09 EDT
(In reply to Dan Mashal from comment #15)
> MATE 1.4 does not exist for Fedora. If you are running MATE 1.4 you are on
> your own.

And you think this is news for me. I wish you read my reply to Mr. Ulbrich: "I didn't like 1.6 at all and stuck with 1.4 on my other distros. I use 5 distros on my desktop and Mate 1.6 is installed on 2 of them: Fedora 18 and Ubuntu 12.04."

As far as being on my own, I wasn't expecting any help.  All I was trying to do was help the developers fix a bug. I even tried to include all the info I could in the backtrace although I knew there may have been personal information included.

Have a good day SIR
Comment 18 msrocks 2013-07-29 18:37:49 EDT
(In reply to Wolfgang Ulbrich from comment #16)
> I did informed upstream about this issue.
> https://github.com/mate-desktop/mate-file-manager/issues/144

Hello, I no longer wish to be informed of any news related to this topic.
Comment 19 Wolfgang Ulbrich 2013-07-29 19:27:37 EDT
(In reply to msrocks from comment #18)
> (In reply to Wolfgang Ulbrich from comment #16)
> > I did informed upstream about this issue.
> > https://github.com/mate-desktop/mate-file-manager/issues/144
> 
> Hello, I no longer wish to be informed of any news related to this topic.

Oh, you wish to close the report, np ;)

Note You need to log in before you can comment on or make changes to this bug.